/**
*FCInitiator App
* Defined an App to manage unas FCInitiator service
*/
var FCInitiatorApp = FCInitiatorApp || {};  //Define FCInitiator App namespace.
/**
*Constructor UNAS App
*/
FCInitiatorApp.App = function () {
    this.id = 'FC Initiator';
    this.name = 'FC Initiator';
    this.version = '6.0.3';
    this.active = false;
    this.menuIcon = '/apps/fcinitiator/images/logo.png';
    this.shortcutIcon = '/apps/fcinitiator/images/logo.png';
    // this.entryHelpUrl = '/apps/FCInitiator/FCInitiator_help.html';
    this.entryUrl = '/apps/fcinitiator/fcinitiator.html';
    var self = this;
    this.FCInitiatorAppWindow = function () {
     self.window=new MUI.Window({
            id: 'FCInitiatorAppWindow',
            title: UNAS._('FC Initiator'),
            icon: '/apps/fcinitiator/images/logo_small.png',
            loadMethod: 'xhr',
            width: 750,
            height: 450,
            maximizable: false,
            resizable: true,
            scrollbars: true,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/fcinitiator/fcinitiator.html',
            require: {  css: ['/apps/fcinitiator/css/fcinitiator.css'] }
     	});
    };
    this.FCInitiatorUninstall = function (){
    	UNAS.RemoveDesktopShortcut('FC Initiator');
    	UNAS.RemoveMenu('FC Initiator');
    	UNAS.RemoveAppFromGroups('FC Initiator', 'ControlPanel');
    	UNAS.RemoveAppFromGroups('FC Initiator', 'Help');
    	UNAS.RemoveAppFromApps('FC Initiator');
    };
    new UNAS.Menu('UNAS_ControlPanel_Storage_Menu', this.name, this.menuIcon, 'FC Initiator', '', this.FCInitiatorAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, UNAS._('FC Initiator'), this.FCInitiatorAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {"Type" : "Storage", "Location" : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {"Type" : "Storage", "Location" : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('FC Initiator', UNAS._('FC Initiator')); //translate menu
        //UNAS.SetShortcutTitle('FCInitiator Service', UNAS._('FCInitiator Service'));
        if (typeof self.window !== 'undefined') {
        	new window.top.UNAS.TranslatePage('FCInitiatorAppWindow');
        }
    };
    UNAS.LoadTranslation('/apps/fcinitiator/languages/Translation', OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.FCInitiatorAppWindow, this.FCInitiatorUninstall);
};

new FCInitiatorApp.App();
